﻿@model List<FrameworkCore.Domains.Cart.Entities.StoreEntity>

@{
    ViewData["Title"] = "Home Page";
}

@section css {
    <link href="~/css/view/cart/Index.css" rel="stylesheet" type="text/css">
}

<!-- Topbar Search -->
@inject Microsoft.AspNetCore.Antiforgery.IAntiforgery Xsrf
@Html.AntiForgeryToken()

@foreach(var store in Model)
{
    <div class="store-item-container">
        <div class="store-info-container">
            <div class="store-image-container"><img class="img-fluid img-thumbnail" src="@store.Picture" /></div>
            <span class="store-name">@store.Name</span>
        </div>
        <div class="cart-container">
            @foreach (var item in store.ListItem)
            {
                <div class="cart-element-container">
                    <div class="product-image-container"><img class="img-fluid img-thumbnail" src="@item.Product.Image" /></div>
                    <div class="product-info-container">
                        <span class="product-name">@item.Product.Name</span>
                        <div class="product-price-container">
                            <span><b>@item.Product.Price.Currency</b> @item.Product.Price.Value</span>
                        </div>
                        <span>Qty : <b>@item.Qty</b></span>
                    </div>
                </div>
                <hr>
            }
        </div>
    </div>
    <hr>
}




@section script{
    <script type="text/javascript">
    </script>
}

